Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci
Interface JdbcSqlExpander

public interface JdbcSqlExpander

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `dbType()` Deprecated.
`java.lang.String` | `expandABS(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandACOS(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandASCII(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandASIN(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandATAN(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandATAN2(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCallClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCallWithRetClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCEILING(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCHAR(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCONCAT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCONVERT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCOS(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCOT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCURDATE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandCURTIME(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDATABASE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDateClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDAYNAME(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDAYOFMONTH(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDAYOFWEEK(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDAYOFYEAR(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDEGREES(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandDIFFERENCE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandEscapeClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandEXP(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandFLOOR(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandHOUR(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandIFNULL(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandINSERT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLCASE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLEFT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLENGTH(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLOCATE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLOG(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLOG10(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandLTRIM(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandMINUTE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandMOD(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandMONTH(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandMONTHNAME(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandNOW(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandOuterJoinClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandPI(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandPOWER(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandQUARTER(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandRADIANS(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandRAND(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandREPEAT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandREPLACE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandRIGHT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandROUND(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandRTRIM(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSECOND(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSIGN(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSIN(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSOUNDEX(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSPACE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSQRT(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandSUBSTRING(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandTAN(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandTimeClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandTIMESTAMPADD(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandTimestampClause(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandTIMESTAMPDIFF(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandTRUNCATE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandUCASE(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandUSER(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandWEEK(java.lang.String sql)` Deprecated.
`java.lang.String` | `expandYEAR(java.lang.String sql)` Deprecated.

Method Detail

### expandCallClause

    public java.lang.String expandCallClause(java.lang.String sql)
                                      throws java.sql.SQLException

  Deprecated.

### expandCallWithRetClause

    public java.lang.String expandCallWithRetClause(java.lang.String sql)
                                             throws java.sql.SQLException

  Deprecated.

### expandDateClause

    public java.lang.String expandDateClause(java.lang.String sql)
                                      throws java.sql.SQLException

  Deprecated.

### expandTimeClause

    public java.lang.String expandTimeClause(java.lang.String sql)
                                      throws java.sql.SQLException

  Deprecated.

### expandTimestampClause

    public java.lang.String expandTimestampClause(java.lang.String sql)
                                           throws java.sql.SQLException

  Deprecated.

### expandOuterJoinClause

    public java.lang.String expandOuterJoinClause(java.lang.String sql)
                                           throws java.sql.SQLException

  Deprecated.

### expandEscapeClause

    public java.lang.String expandEscapeClause(java.lang.String sql)
                                        throws java.sql.SQLException

  Deprecated.

### expandABS

    public java.lang.String expandABS(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandACOS

    public java.lang.String expandACOS(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandASIN

    public java.lang.String expandASIN(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandATAN

    public java.lang.String expandATAN(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandATAN2

    public java.lang.String expandATAN2(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandCEILING

    public java.lang.String expandCEILING(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandCOS

    public java.lang.String expandCOS(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandCOT

    public java.lang.String expandCOT(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandDEGREES

    public java.lang.String expandDEGREES(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandEXP

    public java.lang.String expandEXP(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandFLOOR

    public java.lang.String expandFLOOR(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandLOG

    public java.lang.String expandLOG(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandLOG10

    public java.lang.String expandLOG10(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandMOD

    public java.lang.String expandMOD(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandPI

    public java.lang.String expandPI(java.lang.String sql)
                              throws java.sql.SQLException

  Deprecated.

### expandPOWER

    public java.lang.String expandPOWER(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandRADIANS

    public java.lang.String expandRADIANS(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandRAND

    public java.lang.String expandRAND(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandROUND

    public java.lang.String expandROUND(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandSIGN

    public java.lang.String expandSIGN(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandSIN

    public java.lang.String expandSIN(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandSQRT

    public java.lang.String expandSQRT(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandTAN

    public java.lang.String expandTAN(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandTRUNCATE

    public java.lang.String expandTRUNCATE(java.lang.String sql)
                                    throws java.sql.SQLException

  Deprecated.

### expandASCII

    public java.lang.String expandASCII(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandCHAR

    public java.lang.String expandCHAR(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandCONCAT

    public java.lang.String expandCONCAT(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandDIFFERENCE

    public java.lang.String expandDIFFERENCE(java.lang.String sql)
                                      throws java.sql.SQLException

  Deprecated.

### expandINSERT

    public java.lang.String expandINSERT(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandLCASE

    public java.lang.String expandLCASE(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandLEFT

    public java.lang.String expandLEFT(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandLENGTH

    public java.lang.String expandLENGTH(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandLOCATE

    public java.lang.String expandLOCATE(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandLTRIM

    public java.lang.String expandLTRIM(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandREPEAT

    public java.lang.String expandREPEAT(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandREPLACE

    public java.lang.String expandREPLACE(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandRIGHT

    public java.lang.String expandRIGHT(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandRTRIM

    public java.lang.String expandRTRIM(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandSOUNDEX

    public java.lang.String expandSOUNDEX(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandSPACE

    public java.lang.String expandSPACE(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandSUBSTRING

    public java.lang.String expandSUBSTRING(java.lang.String sql)
                                     throws java.sql.SQLException

  Deprecated.

### expandUCASE

    public java.lang.String expandUCASE(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandCURDATE

    public java.lang.String expandCURDATE(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandCURTIME

    public java.lang.String expandCURTIME(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandDAYNAME

    public java.lang.String expandDAYNAME(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandDAYOFMONTH

    public java.lang.String expandDAYOFMONTH(java.lang.String sql)
                                      throws java.sql.SQLException

  Deprecated.

### expandDAYOFWEEK

    public java.lang.String expandDAYOFWEEK(java.lang.String sql)
                                     throws java.sql.SQLException

  Deprecated.

### expandDAYOFYEAR

    public java.lang.String expandDAYOFYEAR(java.lang.String sql)
                                     throws java.sql.SQLException

  Deprecated.

### expandHOUR

    public java.lang.String expandHOUR(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandMINUTE

    public java.lang.String expandMINUTE(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandMONTH

    public java.lang.String expandMONTH(java.lang.String sql)
                                 throws java.sql.SQLException

  Deprecated.

### expandMONTHNAME

    public java.lang.String expandMONTHNAME(java.lang.String sql)
                                     throws java.sql.SQLException

  Deprecated.

### expandNOW

    public java.lang.String expandNOW(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.

### expandQUARTER

    public java.lang.String expandQUARTER(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### expandSECOND

    public java.lang.String expandSECOND(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandTIMESTAMPADD

    public java.lang.String expandTIMESTAMPADD(java.lang.String sql)
                                        throws java.sql.SQLException

  Deprecated.

### expandTIMESTAMPDIFF

    public java.lang.String expandTIMESTAMPDIFF(java.lang.String sql)
                                         throws java.sql.SQLException

  Deprecated.

### expandWEEK

    public java.lang.String expandWEEK(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandYEAR

    public java.lang.String expandYEAR(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandDATABASE

    public java.lang.String expandDATABASE(java.lang.String sql)
                                    throws java.sql.SQLException

  Deprecated.

### expandIFNULL

    public java.lang.String expandIFNULL(java.lang.String sql)
                                  throws java.sql.SQLException

  Deprecated.

### expandUSER

    public java.lang.String expandUSER(java.lang.String sql)
                                throws java.sql.SQLException

  Deprecated.

### expandCONVERT

    public java.lang.String expandCONVERT(java.lang.String sql)
                                   throws java.sql.SQLException

  Deprecated.

### dbType

    public java.lang.String dbType()
                            throws java.sql.SQLException

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD